:root {
    --ctaColor: #008c83;
    --bgColor: #fffccf;
    --primary: #ffcd95;
    --secondary: #b97735;
    --accentuation: #a90000;
    --shadowColor: #59370e;
    --greyColor: #3e3e3e;
}

html {
    scroll-padding-top: 10em;
    scroll-behavior: smooth;
}

body {
    background-image: url("../Images/triangulated-image.png");
}


h1,
h2,
h3 {
    font-family: 'Roboto Mono', 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
}

p {
    line-height: 1.5em;
    padding: 0.5em 0;
}

header {
    width: calc(100% + 20px);
    border-bottom: 2px solid var(--accentuation);
    background-color: var(--bgColor);
    padding-top: 2em;
    margin-bottom: -1em;
    position: relative;
    top: -2em;


    & h1 {
        text-align: center;
        text-shadow: 1px 1px 2px var(--shadowColor);
        color: var(--accentuation);

        & a {
            margin-bottom: 10px;
            font-size: 1.5em;
            text-decoration: none;
        }
    }
}


a,
a * {
    color: var(--ctaColor);
    cursor: pointer;
    text-decoration: none;
    display: inline-block;
    font-size: 1.3em;

    &:visited {
        color: #4c5d58;
    }

    &:hover {
        color: #b71e03;
        font-weight: bold;
        text-shadow: 0 0 1px var(--greyColor);

    }
}


aside {
    padding: 1em;
    border: 2px solid var(--shadowColor);
    width: calc(100% + 20px);
    left: -10px;
    background-color: var(--bgColor);

    & nav {

        & ul {
            display: flex;
            flex-direction: row;
            list-style: none;
            justify-content: space-evenly;

            & li {
                display: grid;
                text-align: center;

                &>a {
                    font-size: 1.2em;
                    text-decoration: none;

                    &:hover {
                        font-weight: bold;
                    }
                }
            }
        }
    }
}

article {
    position: relative;
    z-index: 10;

    & .scroll-content section {
        margin: 1em;
        flex: 1 0 20%;
        min-width: 400px;
        max-width: 600px;
        scroll-snap-align: center;
        max-height: 70vh;
        border-radius: 3px;
        box-shadow: 0px 0px 1px 0 var(--shadowColor) inset, 0px 0px 3px 1px var(--shadowColor);
        scroll-padding-top: 200px
    }

    & ul {
        padding: 0%;
        list-style: none;
    }
}

h2 {
    color: var(--accentuation);
    text-shadow: 1px 1px 1px var(--greyColor);
    padding-bottom: 5px;
    font-size: 1.8em;
}

h3 {
    text-shadow: 1px 1px 1px var(--greyColor);
    margin-top: 15px;
    margin-bottom: 10px;
    font-size: 1.3em;
}

h1,
h2,
h3 {
    font-family: 'Roboto Mono', 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
}

ul {
    list-style-type: none;
}
.clickable{
	cursor: pointer;
}
section {
    border-radius: 3px;
    box-shadow: 0 5px 3px 0 #0006;
    border: 2px solid #333;
    margin: 0 0.6em;
    overflow: auto;
    background-color: var(--bgColor);
	padding: 1em;

    & .section-content {
        margin: 2em;
    }

    & h2 {
        position: sticky;
        background: linear-gradient(0deg, rgba(156, 156, 156, 0) 0%, var(--bgColor) 30%);
    }

    & p {
        line-height: 1.5em;
        font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
        padding-top: 1em;
    }

    &:target {
        background: #ffdfba;

        & h2 {
            background: linear-gradient(0deg, rgba(156, 156, 156, 0) 0%, #ffdfba 30%);
        }
    }
}

@media screen and (orientation: portrait) and (max-width:640px) {
    body {
        font-size: 12px;
        width: 97%;
    }


    article .scroll-content section {
        flex-basis: 80vw;
        max-width: 80vw;

    }
}